-- phpMyAdmin SQL Dump
-- version 5.0.4
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost
-- Tiempo de generación: 04-10-2021 a las 21:27:58
-- Versión del servidor: 10.4.17-MariaDB
-- Versión de PHP: 8.0.1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `raices`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `comerciantes`
--

CREATE TABLE `comerciantes` (
  `id_comerciante` int(2) NOT NULL,
  `nom_comerciante` varchar(100) NOT NULL,
  `email` varchar(50) DEFAULT NULL,
  `telefono` varchar(11) DEFAULT NULL,
  `direccion` text DEFAULT NULL,
  `enlaces` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `comerciante_es`
--

CREATE TABLE `comerciante_es` (
  `id_comerciante` int(2) NOT NULL,
  `id_insignia` int(2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `disenos`
--

CREATE TABLE `disenos` (
  `id_diseno` int(2) NOT NULL,
  `id_producto` int(2) NOT NULL,
  `diseno` varchar(50) DEFAULT NULL,
  `foto` varbinary(60000) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `insignias_coms`
--

CREATE TABLE `insignias_coms` (
  `id_insignia` int(2) NOT NULL,
  `nom_insignia` varchar(50) NOT NULL,
  `descripcion` text DEFAULT NULL,
  `foto_insignia` varbinary(60000) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `insignias_prods`
--

CREATE TABLE `insignias_prods` (
  `id_insignia` int(2) NOT NULL,
  `nom_insignia` varchar(50) NOT NULL,
  `descripcion` text DEFAULT NULL,
  `foto_insignia` varbinary(60000) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `inventario`
--

CREATE TABLE `inventario` (
  `id_inventario` int(2) NOT NULL,
  `id_producto` int(2) NOT NULL,
  `id_diseno` int(2) DEFAULT NULL,
  `tamano` varchar(20) DEFAULT NULL,
  `precio` decimal(10,2) DEFAULT NULL,
  `cantidad` int(4) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `productos`
--

CREATE TABLE `productos` (
  `id_producto` int(2) NOT NULL,
  `nom_producto` varchar(50) NOT NULL,
  `descripcion` text DEFAULT NULL,
  `enlaces` text DEFAULT NULL,
  `marca` varchar(50) DEFAULT NULL,
  `id_default_inventario` int(2) DEFAULT NULL,
  `id_default_diseno` int(2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `producto_es`
--

CREATE TABLE `producto_es` (
  `id_producto` int(2) NOT NULL,
  `id_insignia` int(2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `vende`
--

CREATE TABLE `vende` (
  `id_comerciante` int(2) NOT NULL,
  `id_producto` int(2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `comerciantes`
--
ALTER TABLE `comerciantes`
  ADD PRIMARY KEY (`id_comerciante`);

--
-- Indices de la tabla `comerciante_es`
--
ALTER TABLE `comerciante_es`
  ADD PRIMARY KEY (`id_comerciante`,`id_insignia`),
  ADD KEY `id_insignia` (`id_insignia`);

--
-- Indices de la tabla `disenos`
--
ALTER TABLE `disenos`
  ADD PRIMARY KEY (`id_diseno`),
  ADD KEY `id_producto` (`id_producto`);

--
-- Indices de la tabla `insignias_coms`
--
ALTER TABLE `insignias_coms`
  ADD PRIMARY KEY (`id_insignia`);

--
-- Indices de la tabla `insignias_prods`
--
ALTER TABLE `insignias_prods`
  ADD PRIMARY KEY (`id_insignia`);

--
-- Indices de la tabla `inventario`
--
ALTER TABLE `inventario`
  ADD PRIMARY KEY (`id_inventario`),
  ADD KEY `id_producto` (`id_producto`);

--
-- Indices de la tabla `productos`
--
ALTER TABLE `productos`
  ADD PRIMARY KEY (`id_producto`),
  ADD KEY `id_default_inventario` (`id_default_inventario`),
  ADD KEY `id_default_diseno` (`id_default_diseno`);

--
-- Indices de la tabla `producto_es`
--
ALTER TABLE `producto_es`
  ADD PRIMARY KEY (`id_producto`,`id_insignia`),
  ADD KEY `id_insignia` (`id_insignia`);

--
-- Indices de la tabla `vende`
--
ALTER TABLE `vende`
  ADD PRIMARY KEY (`id_comerciante`,`id_producto`),
  ADD KEY `id_producto` (`id_producto`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `comerciantes`
--
ALTER TABLE `comerciantes`
  MODIFY `id_comerciante` int(2) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `disenos`
--
ALTER TABLE `disenos`
  MODIFY `id_diseno` int(2) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `insignias_coms`
--
ALTER TABLE `insignias_coms`
  MODIFY `id_insignia` int(2) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `insignias_prods`
--
ALTER TABLE `insignias_prods`
  MODIFY `id_insignia` int(2) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `inventario`
--
ALTER TABLE `inventario`
  MODIFY `id_inventario` int(2) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT de la tabla `productos`
--
ALTER TABLE `productos`
  MODIFY `id_producto` int(2) NOT NULL AUTO_INCREMENT;

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `comerciante_es`
--
ALTER TABLE `comerciante_es`
  ADD CONSTRAINT `comerciante_es_ibfk_1` FOREIGN KEY (`id_comerciante`) REFERENCES `comerciantes` (`id_comerciante`),
  ADD CONSTRAINT `comerciante_es_ibfk_2` FOREIGN KEY (`id_insignia`) REFERENCES `insignias_coms` (`id_insignia`);

--
-- Filtros para la tabla `disenos`
--
ALTER TABLE `disenos`
  ADD CONSTRAINT `disenos_ibfk_1` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`);

--
-- Filtros para la tabla `inventario`
--
ALTER TABLE `inventario`
  ADD CONSTRAINT `inventario_ibfk_1` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`);

--
-- Filtros para la tabla `productos`
--
ALTER TABLE `productos`
  ADD CONSTRAINT `productos_ibfk_1` FOREIGN KEY (`id_default_inventario`) REFERENCES `inventario` (`id_inventario`) ON DELETE SET NULL,
  ADD CONSTRAINT `productos_ibfk_2` FOREIGN KEY (`id_default_diseno`) REFERENCES `disenos` (`id_diseno`) ON DELETE SET NULL;

--
-- Filtros para la tabla `producto_es`
--
ALTER TABLE `producto_es`
  ADD CONSTRAINT `producto_es_ibfk_1` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`),
  ADD CONSTRAINT `producto_es_ibfk_2` FOREIGN KEY (`id_insignia`) REFERENCES `insignias_prods` (`id_insignia`);

--
-- Filtros para la tabla `vende`
--
ALTER TABLE `vende`
  ADD CONSTRAINT `vende_ibfk_1` FOREIGN KEY (`id_comerciante`) REFERENCES `comerciantes` (`id_comerciante`),
  ADD CONSTRAINT `vende_ibfk_2` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`),
  ADD CONSTRAINT `vende_ibfk_3` FOREIGN KEY (`id_comerciante`) REFERENCES `comerciantes` (`id_comerciante`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
